GeoTessCPP: geotess::GeoTessInterpolatorType Class Reference

GeoTessCPP 2.1 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes
geotess::GeoTessInterpolatorType Class Reference

`#include <GeoTessInterpolatorType.h>`

Inheritance diagram for geotess::GeoTessInterpolatorType:

List of all members.

## Public Member Functions
virtual | ~GeoTessInterpolatorType ()
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | name () const
int | ordinal () const
string | toString () const

## Static Public Member Functions
static int | size ()
static const GeoTessInterpolatorType * | valueOf (const string &s)
static GeoTessInterpolatorType const *const *const | values ()

## Static Public Attributes
static const GeoTessInterpolatorType * | aArray []
static const GeoTessInterpolatorType | CUBIC_SPLINE
static const GeoTessInterpolatorType | LINEAR
static const GeoTessInterpolatorType | NATURAL_NEIGHBOR

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

An enum list of all the different types of interpolation that GeoTess knows how to perform. Includes both 2D interpolation algorithms that will be applied to vertices in the 2D grid, and 1D interpolation algorithms that will be applied to nodes distributed along radial profiles.

Author:
  sballar

## Constructor & Destructor Documentation

virtual geotess::GeoTessInterpolatorType::~GeoTessInterpolatorType | ( |  | ) |
| inlinevirtual

Standard Destructor.

## Member Function Documentation

static int geotess::GeoTessInterpolatorType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

static const GeoTessInterpolatorType* geotess::GeoTessInterpolatorType::valueOf | ( | const string & | s | ) |
| inlinestatic

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters:

  s | The input string for which a match in array is returned (or null).

Returns:
  The match of s in the names of array or null if one was not found.

static GeoTessInterpolatorType const* const* const geotess::GeoTessInterpolatorType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

## Member Data Documentation

const GeoTessInterpolatorType* geotess::GeoTessInterpolatorType::aArray[]
| static

The array containing all enums declared above.

const GeoTessInterpolatorType geotess::GeoTessInterpolatorType::CUBIC_SPLINE
| static

const GeoTessInterpolatorType geotess::GeoTessInterpolatorType::LINEAR
| static

Assignment Operator. The actual enums for this type.

const GeoTessInterpolatorType geotess::GeoTessInterpolatorType::NATURAL_NEIGHBOR
| static

The documentation for this class was generated from the following file:

- include/GeoTessInterpolatorType.h